### Hierarchy

- unknown
  - BundleOfEnvelopes

## Index

### Constructors

- constructor

### Methods

- addEnvelopes
- clearEnvelopesList
- getEnvelopesList
- serializeBinary
- setEnvelopesList
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new BundleOfEnvelopes(): BundleOfEnvelopes

- Inherited from jspb.Message.constructor

  #### Returns BundleOfEnvelopes

## Methods

### addEnvelopes

- addEnvelopes(value?: NetworkEnvelope, index?: number): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:355

  #### Parameters

  - ##### Optional value: NetworkEnvelope

  - ##### Optional index: number

  #### Returns NetworkEnvelope

### clearEnvelopesList

- clearEnvelopesList(): BundleOfEnvelopes

- - Defined in src/protobuf/pb_pb.d.ts:354

  #### Returns BundleOfEnvelopes

### getEnvelopesList

- getEnvelopesList(): NetworkEnvelope []

- - Defined in src/protobuf/pb_pb.d.ts:352

  #### Returns NetworkEnvelope []

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:357

  #### Returns Uint8Array

### setEnvelopesList

- setEnvelopesList(value: NetworkEnvelope []): BundleOfEnvelopes

- - Defined in src/protobuf/pb_pb.d.ts:353

  #### Parameters

  - ##### value: NetworkEnvelope []

  #### Returns BundleOfEnvelopes

### toObject

- toObject(includeInstance?: boolean): BundleOfEnvelopes . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:358

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns BundleOfEnvelopes . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): BundleOfEnvelopes

- - Defined in src/protobuf/pb_pb.d.ts:361

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns BundleOfEnvelopes

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: BundleOfEnvelopes, reader: BinaryReader): BundleOfEnvelopes

- - Defined in src/protobuf/pb_pb.d.ts:362

  #### Parameters

  - ##### message: BundleOfEnvelopes

  - ##### reader: BinaryReader

  #### Returns BundleOfEnvelopes

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: BundleOfEnvelopes, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:360

  #### Parameters

  - ##### message: BundleOfEnvelopes

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: BundleOfEnvelopes ): BundleOfEnvelopes . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:359

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: BundleOfEnvelopes

  #### Returns BundleOfEnvelopes . AsObject

Generated using TypeDoc